View Issue Details

IDProjectCategoryView StatusLast Update
0003976SymmetricDS ProBugpublic2019-05-28 13:40
Reporteruser606Assigned Touser606 
Prioritylow 
Status resolvedResolutionfixed 
Product Version3.10.2 
Target VersionFixed in Version 
Summary0003976: ASE dialect fails to determine auto increment columns with special character in table name
Description2019-05-22 13:38:07,990 WARN [startup] [AseDdlReader] [qtp1234586997-117] Failed to determine auto increment columns using this query: 'SELECT t."max",t."min",t."total score" FROM symmetricroot.dbo.with-special2 t WHERE 1 = 0'. This is probably not harmful, but should be fixed.
Table [name=with-special2; 3 columns]
Column [name=max; jdbcType=int; mappedType=INTEGER]
Column [name=min; jdbcType=int; mappedType=INTEGER]
Column [name=total score; jdbcType=int; mappedType=INTEGER] (org.jumpmind.db.platform.AbstractJdbcDdlReader.determineAutoIncrementFromResultSetMetaData(AbstractJdbcDdlReader.java:1413))
java.sql.SQLException: Incorrect syntax near the keyword 'with'.

    at com.sybase.jdbc4.jdbc.SybConnection.getAllExceptions(SybConnection.java:2780)
    at com.sybase.jdbc4.jdbc.SybStatement.handleSQLE(SybStatement.java:2665)
    at com.sybase.jdbc4.jdbc.SybStatement.nextResult(SybStatement.java:295)
    at com.sybase.jdbc4.jdbc.SybStatement.nextResult(SybStatement.java:272)
    at com.sybase.jdbc4.jdbc.SybStatement.queryLoop(SybStatement.java:2409)
    at com.sybase.jdbc4.jdbc.SybStatement.executeQuery(SybStatement.java:2395)
    at com.sybase.jdbc4.jdbc.SybStatement.executeQuery(SybStatement.java:553)
    at org.apache.commons.dbcp.DelegatingStatement.executeQuery(DelegatingStatement.java:208)
    at org.apache.commons.dbcp.DelegatingStatement.executeQuery(DelegatingStatement.java:208)
    at org.jumpmind.db.platform.AbstractJdbcDdlReader.determineAutoIncrementFromResultSetMetaData(AbstractJdbcDdlReader.java:1383)
    at org.jumpmind.db.platform.AbstractJdbcDdlReader.determineAutoIncrementFromResultSetMetaData(AbstractJdbcDdlReader.java:1333)
    at org.jumpmind.db.platform.ase.AseDdlReader.readTable(AseDdlReader.java:80)
    at org.jumpmind.db.platform.AbstractJdbcDdlReader$3.execute(AbstractJdbcDdlReader.java:587)
    at org.jumpmind.db.platform.AbstractJdbcDdlReader$3.execute(AbstractJdbcDdlReader.java:1)
    at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:511)
    at org.jumpmind.db.platform.AbstractJdbcDdlReader.readTable(AbstractJdbcDdlReader.java:572)
    at org.jumpmind.db.platform.AbstractDatabasePlatform.readTableFromDatabase(AbstractDatabasePlatform.java:261)
    at org.jumpmind.db.platform.AbstractDatabasePlatform.getTableFromCache(AbstractDatabasePlatform.java:330)
    at org.jumpmind.vaadin.ui.sqlexplorer.DbTreeNode.getTableFor(DbTreeNode.java:134)
    at org.jumpmind.vaadin.ui.sqlexplorer.SqlExplorer$8.valueChange(SqlExplorer.java:469)
    at sun.reflect.GeneratedMethodAccessor43.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.vaadin.event.ListenerMethod.receiveEvent(ListenerMethod.java:499)
    at com.vaadin.event.EventRouter.fireEvent(EventRouter.java:273)
    at com.vaadin.event.EventRouter.fireEvent(EventRouter.java:237)
    at com.vaadin.server.AbstractClientConnector.fireEvent(AbstractClientConnector.java:1014)
    at com.vaadin.v7.ui.AbstractField.fireValueChange(AbstractField.java:1134)
    at com.vaadin.v7.ui.AbstractField.setValue(AbstractField.java:545)
    at com.vaadin.v7.ui.AbstractSelect.setValue(AbstractSelect.java:736)
    at com.vaadin.v7.ui.AbstractField.setValue(AbstractField.java:442)
    at com.vaadin.v7.ui.Tree.handleSelectedItems(Tree.java:614)
    at com.vaadin.v7.ui.Tree.changeVariables(Tree.java:562)
    at com.vaadin.server.communication.ServerRpcHandler.changeVariables(ServerRpcHandler.java:625)
    at com.vaadin.server.communication.ServerRpcHandler.handleInvocation(ServerRpcHandler.java:471)
    at com.vaadin.server.communication.ServerRpcHandler.handleInvocations(ServerRpcHandler.java:414)
    at com.vaadin.server.communication.ServerRpcHandler.handleRpc(ServerRpcHandler.java:274)
    at com.vaadin.server.communication.PushHandler.lambda$new$1(PushHandler.java:148)
    at com.vaadin.server.communication.PushHandler.callWithUi(PushHandler.java:248)
    at com.vaadin.server.communication.PushHandler.onMessage(PushHandler.java:534)
    at com.vaadin.server.communication.PushAtmosphereHandler.onMessage(PushAtmosphereHandler.java:87)
    at com.vaadin.server.communication.PushAtmosphereHandler.onRequest(PushAtmosphereHandler.java:77)
    at org.atmosphere.cpr.AsynchronousProcessor.action(AsynchronousProcessor.java:225)
    at org.atmosphere.cpr.AsynchronousProcessor.suspended(AsynchronousProcessor.java:114)
    at org.atmosphere.container.Servlet30CometSupport.service(Servlet30CometSupport.java:67)
    at org.atmosphere.cpr.AtmosphereFramework.doCometSupport(AtmosphereFramework.java:2297)
    at org.atmosphere.websocket.DefaultWebSocketProcessor.dispatch(DefaultWebSocketProcessor.java:594)
    at org.atmosphere.websocket.DefaultWebSocketProcessor$3.run(DefaultWebSocketProcessor.java:345)
    at org.atmosphere.util.VoidExecutorService.execute(VoidExecutorService.java:101)
    at org.atmosphere.websocket.DefaultWebSocketProcessor.dispatch(DefaultWebSocketProcessor.java:340)
    at org.atmosphere.websocket.DefaultWebSocketProcessor.invokeWebSocketProtocol(DefaultWebSocketProcessor.java:448)
    at org.atmosphere.container.JSR356Endpoint$3.onMessage(JSR356Endpoint.java:272)
    at org.atmosphere.container.JSR356Endpoint$3.onMessage(JSR356Endpoint.java:269)
    at org.eclipse.jetty.websocket.jsr356.messages.TextWholeMessage.messageComplete(TextWholeMessage.java:56)
    at org.eclipse.jetty.websocket.jsr356.endpoints.JsrEndpointEventDriver.onTextFrame(JsrEndpointEventDriver.java:218)
    at org.eclipse.jetty.websocket.common.events.AbstractEventDriver.incomingFrame(AbstractEventDriver.java:162)
    at org.eclipse.jetty.websocket.common.WebSocketSession.incomingFrame(WebSocketSession.java:375)
    at org.eclipse.jetty.websocket.common.extensions.AbstractExtension.nextIncomingFrame(AbstractExtension.java:182)
    at org.eclipse.jetty.websocket.common.extensions.compress.PerMessageDeflateExtension.nextIncomingFrame(PerMessageDeflateExtension.java:105)
    at org.eclipse.jetty.websocket.common.extensions.compress.CompressExtension.forwardIncoming(CompressExtension.java:142)
    at org.eclipse.jetty.websocket.common.extensions.compress.PerMessageDeflateExtension.incomingFrame(PerMessageDeflateExtension.java:85)
    at org.eclipse.jetty.websocket.common.extensions.ExtensionStack.incomingFrame(ExtensionStack.java:220)
    at org.eclipse.jetty.websocket.common.Parser.notifyFrame(Parser.java:220)
    at org.eclipse.jetty.websocket.common.Parser.parse(Parser.java:256)
    at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.readParse(AbstractWebSocketConnection.java:679)
    at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.onFillable(AbstractWebSocketConnection.java:511)
    at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:279)
    at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:104)
    at org.eclipse.jetty.io.ChannelEndPoint$2.run(ChannelEndPoint.java:124)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce(EatWhatYouKill.java:247)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.produce(EatWhatYouKill.java:140)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run(EatWhatYouKill.java:131)
    at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run(ReservedThreadExecutor.java:243)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:679)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run(QueuedThreadPool.java:597)
    at java.lang.Thread.run(Unknown Source)
Steps To ReproduceCreate a table with a hyphen in it "-", it needs to be quoted.
Tagsdialect: sybase

Relationships

related to 0003633 closeduser606 MSSQL Server Pro Validation Query Fails with a hyphen in the DB Name 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-05-22 13:51 user606 New Issue
2019-05-22 13:51 user606 Status new => assigned
2019-05-22 13:51 user606 Assigned To => user606
2019-05-22 14:01 user606 Summary ACE dialect => ASE dialect fails to determine auto increment columns with special character in table name
2019-05-22 14:12 user606 Project SymmetricDS Pro => SymmetricDS
2019-05-22 14:15 user606 Tag Attached: dialect: sybase
2019-05-24 14:46 user606 Project SymmetricDS => SymmetricDS Pro
2019-05-24 14:48 user606 Status assigned => resolved
2019-05-24 14:48 user606 Resolution open => fixed
2019-05-28 13:40 user606 Relationship added related to 0003633